%if 0%{?el7}
%define dist .el7
%endif
%define debug_package %{nil}

%define		gitver .gitfa8646d
Name:		rtmpdump
Version:	2.4
Release:	8%{gitver}%{?dist}
Summary:	rtmpdump is a toolkit for RTMP streams. All forms of RTMP are supported, including rtmp://, rtmpt://, rtmpe://, rtmpte://, and rtmps://. 

Group:		Applications/Multimedia
License:	GPLv2 or LGPLv2.1
URL:		http://rtmpdump.mplayerhq.hu/
### git clone git://git.ffmpeg.org/rtmpdump rtmpdump-2.4
### git log -1 --pretty=format:"git%h"
### tar acvf rtmpdump-2.4.tar.xz rtmpdump
Source0:	%{name}-%{version}%{?gitver}.tar.xz
Patch0:		rtmpdump-prefix.patch
Patch1:		rtmpdump-x64.patch
Patch2:     rtmpdump-2.4-librtmp-version.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  zlib-devel
%if 0%{?fedora} >= 26
BuildRequires:  compat-openssl10-devel
%else
BuildRequires:	openssl-devel
%endif

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
rtmpdump is a toolkit for RTMP streams. All forms of RTMP are supported, including rtmp://, rtmpt://, rtmpe://, rtmpte://, and rtmps://.

%package -n librtmp-devel
Summary:	Libraries for rtmpdump
Group:		System Environment/Libraries
Requires:	openssl-devel

%description -n librtmp-devel
Libraries for rtmpdump

%prep
%setup -q
%ifarch x86_64
%patch1 -p1
%else
%patch0 -p1
%endif
%patch2 -p1

rm -rf .git

%build
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%doc ChangeLog README
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/rtmpdump
%{_sbindir}/rtmp*
%{_libdir}/librtmp.so.*
%{_mandir}/man1/rtmpdump.1*
%{_mandir}/man8/rtmpgw.8*

%files -n librtmp-devel
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/librtmp.pc
%{_includedir}/librtmp/*.h
%{_mandir}/man3/librtmp.3*

%changelog
* Thu Jan 14 2016 momo-i <webmaster@momo-i.org> - 2.4-8.gitfa8646d
- librtmp version patch

* Wed Jan 13 2016 momo-i <webmaster@momo-i.org> - 2.4-7.gita107cef
- Update to fa8646d

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 2.4-6.gita107cef
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 2.4-5.gita107cef
- Rebuilt for fc23

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 2.4-4
- Rebuilt for fc22

* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 2.4-3
- Update git
- change license dir

* Thu Jan 23 2014 momo-i <webmaster@momo-i.org> - 2.4-2
- Update git

* Fri Nov 29 2013 momo-i <webmaster@momo-i.org> - 2.4-1
- Update to 2.4

* Wed Mar 13 2013 momo-i <webmaster@momo-i.org> 2.3-1
- Initial rpm release.
